org.apache.storm.spout

## Enum CheckPointState.Action

- java.lang.Object
- - java.lang.Enum<CheckPointState.Action>
  - - org.apache.storm.spout.CheckPointState.Action

- All Implemented Interfaces:
    Serializable, Comparable<CheckPointState.Action>
  Enclosing class:
    CheckPointState

      public static enum CheckPointState.Action
      extends Enum<CheckPointState.Action>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMMIT` commit the previously prepared transaction.
    `INITSTATE` initialize the state.
    `PREPARE` prepare transaction for commit.
    `ROLLBACK` rollback the previously prepared transaction.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CheckPointState.Action` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CheckPointState.Action[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PREPARE

          public static final CheckPointState.Action PREPARE

      prepare transaction for commit.

    - #### COMMIT

          public static final CheckPointState.Action COMMIT

      commit the previously prepared transaction.

    - #### ROLLBACK

          public static final CheckPointState.Action ROLLBACK

      rollback the previously prepared transaction.

    - #### INITSTATE

          public static final CheckPointState.Action INITSTATE

      initialize the state.

  - ### Method Detail

    - #### values

          public static CheckPointState.Action[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CheckPointState.Action c : CheckPointState.Action.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CheckPointState.Action valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2021 The Apache Software Foundation. All rights reserved.